DigiCert 2048 Root and ECC Root Inclusion Request

RESOLVED DUPLICATE of bug 908827

Status

NSS
CA Certificate Root Program
RESOLVED DUPLICATE of bug 908827
7 years ago
a month ago

People

(Reporter: Jeremy, Assigned: Kathleen Wilson)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: EV- information incomplete)

Attachments

(1 attachment)

(Reporter)

Description

7 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/534.10 (KHTML, like Gecko) Chrome/8.0.552.215 Safari/534.10
Build Identifier: 

DigiCert would like to add its SHA256 and ECC roots to the NSS store.  The SHA-1 version of the Global Root CA is already included in the NSS store per bug #364568.  The ECC root is new but is the equivalent of DigiCert's High Assurance EV root CA certificate.

Both roots are used to issue intermediate and end-entity SSL, email, and code signing certificates. Both roots include the digital signature, certificate singing, off-line CRL signing, and CRL signing key usage extensions.  Both roots are used with EV Certificates.

DigiCert's CP is available at http://www.digicert.com/http://www.digicert.com/DigiCert_CP_v401.pdf.

DigiCert's CPS is available at http://www.digicert.com/DigiCert_CPS_v401.pdf.

The certificate details are as follows:

ECC:
Signature algorithm = sha384ECDSA
Subject CN = DigiCert High Assurance Root CA (ECC)
        OU = www.digicert.com
        O = DigiCert Inc
        C = US
Valid from = Wednesday, May 05, 2010 6:00:00 PM
Valid to = Tuesday May 05, 2037 6:00:00 PM
SHA-1 Thumbprint = ‎d2 ab 41 9a 5c 14 48 9d 66 f8 03 b4 bc 66 27 9c 62 0a c0 0a

SHA256:

Signature algorithm = sha256RSA
Subject CN = DigiCert Global Root CA (ECC)
        OU = www.digicert.com
        O = DigiCert Inc
        C = US
Valid from = Thursday, Nov 9, 2006 6:00:00 PM
Valid to = Sunday Nov 9, 2031 6:00:00 PM
SHA-1 Thumbprint = ‎‎b6 7e 28 2c cb 89 0d 57 a6 91 96 9e 2c 33 f1 55 61 e0 89 75

DigiCert's EV Policy OID 2.16.840.1.114412.2.1

Reproducible: Always
(Assignee)

Comment 1

7 years ago
I'll start the info gathering and verification phase.
https://wiki.mozilla.org/CA:How_to_apply#Information_gathering_and_verification
Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true
Whiteboard: EV- information incomplete
(Assignee)

Comment 2

7 years ago
Please provide the download url for both of these roots.
(Assignee)

Comment 3

7 years ago
Created attachment 497361 [details]
Initial Information Gathering Document

The attached document summarizes the information that has been gathered and
verified.

The items highlighted in yellow indicate where further information or
clarification is needed. Please review the full document for accuracy and
completeness.
(Assignee)

Comment 4

6 years ago
Jeremy, Please provide an update to comment #3.
(Assignee)

Updated

4 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 908827

Updated

a month ago
Product: mozilla.org → NSS
You need to log in before you can comment on or make changes to this bug.